mia-2dsegmentcropbox
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dsegmentcropbox

#### Sysnopis:

`mia-2dsegmentcropbox` {-i `string`} {-o `string`} [ `options` ...]

#### Description:

This program is used on a segmentation set and evaluates a bounding box that encloses the segmentation in all slices. This bounding box is then used to crop the original images, correct the segmentation and store a new segmentation set with the cropped images. The cropped images will be of the same type as the original images. If no segmentation is given in the set, the result is undefined.

#### Options:

-i, --in-file=(input, required); string

  input segmentation set

-p, --override-imagepath

  Instead of using the path of the image files as given in the segmentation set, assume the files are located in the current directory

-o, --out-file=(output, required); string

  output segmentation set

-c, --cropped-base=crop; stringSTRING

  Base name for the cropped image files, the file type and numbering will be based on the input image file type and numbering.

-e, --enlarge=5; float

  Enlarge the area around the obtained sbounding box by this number of pixels in each direction

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the optimal cropping for a segmentation set segment.set and enlarge it by 3 pixels. Store the resulting set in the file cropped.set.

    mia-2dsegmentcropbox -i segment.set -o cropped.set -e 3

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dseghausdorff | Home | mia-2dsegseriesstats